Skip to main content
GET
/
api
/
v2
/
trading
/
info
/
demo
/
orders:lookup
Get order information and position details
curl --request GET \
  --url https://public-api.etoro.com/api/v2/trading/info/demo/orders:lookup \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-request-id: <x-request-id>' \
  --header 'x-user-key: <x-user-key>'
{
  "accountId": 7765437,
  "gcid": 987654321,
  "portfolioId": 1,
  "orderId": 13902598,
  "action": "open",
  "transaction": "buy",
  "type": "mkt",
  "etoroOrderTypeId": 17,
  "status": {
    "id": 1,
    "name": "Executed",
    "errorCode": 0,
    "errorMessage": null
  },
  "asset": {
    "symbol": "AAPL",
    "instrumentId": 101,
    "currency": "USD",
    "settlementType": "cfd",
    "leverage": 2,
    "side": "long"
  },
  "orderCurrency": "usd",
  "requestedAmount": 1000,
  "requestedUnits": null,
  "requestedContracts": null,
  "frozenAmount": 1002.5,
  "requestedTriggerRate": null,
  "openStopLossRate": 1.2,
  "openTakeProfitRate": 1.5,
  "stopLossType": "fixed",
  "totalCosts": 2.5,
  "positionsToClose": [],
  "positionExecutions": [
    {
      "positionId": 9001,
      "state": "open",
      "investedAmountCurrency": 1000,
      "initialExposureAccountCurrency": 1000,
      "initialExposureAssetCurrency": 1000,
      "addedFunds": 0,
      "marginAccountCurrency": 1000,
      "marginAssetCurrency": 1000,
      "remainingUnits": 10.5,
      "remainingContracts": 10.5,
      "stopLossRate": 1.2,
      "takeProfitRate": 1.5,
      "openingData": {
        "openTime": "2024-01-01T09:00:00Z",
        "orderId": 5001,
        "executionTime": "2024-01-01T09:00:01Z",
        "units": 10.5,
        "contracts": null,
        "avgPrice": 95.238095,
        "avgConversionRate": 1,
        "marketSpread": 0.0002,
        "markup": 0,
        "priceId": 9876543210,
        "fees": 2.5,
        "taxes": 0
      }
    }
  ],
  "requestTime": "2024-01-01T09:00:00Z",
  "lastUpdate": "2024-01-01T09:00:01Z",
  "openActionType": "customer",
  "requestType": "byUnits"
}

Authorizations

Authorization
string
header
required

eToro OAuth2. Each operation lists the scopes that grant access as separate security requirements (OpenAPI OR semantics): the caller's token only needs ONE of them — you do NOT need all of them. The same scopes back the x-api-key/x-user-key credential pair.

Headers

x-request-id
string<uuid>
required

A unique request identifier.

Example:

"ce58f33e-40d9-4279-9619-7328cf276db7"

x-api-key
string<password>
required

API key for authentication.

Example:

"lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663"

x-user-key
string<password>
required

User-specific authentication key.

Example:

"eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_"

Query Parameters

orderId
integer<int64>

Numeric order identifier. Mutually exclusive with referenceId.

referenceId
string

Request ID header sent during order submission. Mutually exclusive with orderId.

Response

Order information retrieved successfully.

Detailed information about a specific order retrieved via the orders lookup endpoint.

accountId
integer<int64>

The account identifier associated with this order.

gcid
integer<int64>

The global customer identifier.

portfolioId
integer<int32>

The portfolio identifier.

orderId
integer<int64>

The unique identifier of the order.

action
string

The order action. Possible values: open, close.

transaction
string

The transaction direction. Possible values: buy, sell, sellShort, buyToCover.

type
string

The order type. Possible values: mkt, mit.

etoroOrderTypeId
integer<int32>

The internal eToro order type identifier.

status
object

Status information for the order.

asset
object

Asset information associated with the order.

orderCurrency
string

The currency used for the order.

requestedAmount
number<double> | null

The requested monetary amount for the order.

requestedUnits
number<double> | null

The requested number of units for the order.

requestedContracts
number<double> | null

The requested number of contracts for the order.

frozenAmount
number<double> | null

The amount frozen/reserved for the order including costs.

requestedTriggerRate
number<double> | null

The trigger rate for limit or stop orders.

openStopLossRate
number<double> | null

The stop-loss rate at order open.

openTakeProfitRate
number<double> | null

The take-profit rate at order open.

stopLossType
string | null

The stop-loss type. Possible values: fixed, trailing.

totalCosts
number<double>

Total costs associated with the order.

positionsToClose
integer<int64>[]

List of position IDs to close as part of a close order.

positionExecutions
object[]

List of position executions resulting from this order.

requestTime
string<date-time>

The timestamp when the order was requested.

lastUpdate
string<date-time>

The timestamp of the last update to the order.

openActionType
string

The action type that initiated the order.

requestType
string

The request sizing type. Possible values: byAmount, byUnits, byContracts.